## LatexilaPostProcessorLatex LatexilaPostProcessorLatex — LaTeX post-processor |

## Functions

LatexilaPostProcessor * | latexila_post_processor_latex_new ()
gint | latexila_post_processor_latex_get_errors_count ()

## Types and Values

| LatexilaPostProcessorLatex

## Object Hierarchy

        GObject
        ╰── LatexilaPostProcessor
            ╰── LatexilaPostProcessorLatex

## Includes

    #include <latexila.h>

## Description

A post-processor to filter the output of the latex or pdflatex commands. There can be three types of errors: critical errors, warnings, or bad boxes. There are also some other useful information: the size of the document, the number of pages, and the number of errors.

## Functions

### latexila_post_processor_latex_new ()

    LatexilaPostProcessor *
    latexila_post_processor_latex_new (void);

#### Returns

a new LatexilaPostProcessorLatex object.

### latexila_post_processor_latex_get_errors_count ()

    gint
    latexila_post_processor_latex_get_errors_count
                                   (LatexilaPostProcessorLatex *pp);

#### Parameters

pp | a LatexilaPostProcessorLatex. |

#### Returns

the number of errors.

## Types and Values

### LatexilaPostProcessorLatex

    typedef struct _LatexilaPostProcessorLatex LatexilaPostProcessorLatex;